Skip to main content
GET
/
users
/
{user_id}
/
extended-access
List extended access of a user
curl --request GET \
  --url {schemes}://api.upsun.com/users/{user_id}/extended-access \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource_id": "<string>",
      "resource_type": "project",
      "organization_id": "<string>",
      "permissions": [
        "<string>"
      ],
      "granted_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

user_id
string<uuid>
required

The ID of the user.

Example:

"d81c8ee2-44b3-429f-b944-a33ad7437690"

Query Parameters

filter[resource_type]
object

Allows filtering by resource_type (project or organization) using one or more operators.

filter[organization_id]
object

Allows filtering by organization_id using one or more operators.

filter[permissions]
object

Allows filtering by permissions using one or more operators.

Response

OK

items
object[]